summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/pwgen/pwgen.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/pwgen/pwgen.SlackBuild b/system/pwgen/pwgen.SlackBuild
index ccfe396767..28e34b6e91 100644
--- a/system/pwgen/pwgen.SlackBuild
+++ b/system/pwgen/pwgen.SlackBuild
@@ -72,12 +72,8 @@ CFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
- | xargs strip -- strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
- | xargs strip -- strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;